Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::FunctionSlot1< R, P1 > Class Template Reference

A slot template for static functions taking one argument of type P1 and returning a value of type R. More...

`#include <inti/slot.h>`

Inheritance diagram for Inti::FunctionSlot1< R, P1 >:

List of all members.

## Public Member Functions

- FunctionSlot1 (PF function)
    Construct a new function slot for a static function.
- virtual R call (P1 p1) const
    Calls the function connected to this slot passing it argument p1.

## Detailed Description

### template<typename R, typename P1>
class Inti::FunctionSlot1< R, P1 >

A slot template for static functions taking one argument of type P1 and returning a value of type R.

## Constructor & Destructor Documentation

template<typename R, typename P1>
Inti::FunctionSlot1< R, P1 >::FunctionSlot1 | ( | PF | function | ) | `[inline]`

Construct a new function slot for a static function.

Parameters:

  function | Static function with the signature R (*PF)(P1).

## Member Function Documentation

template<typename R, typename P1>
virtual R Inti::FunctionSlot1< R, P1 >::call | ( | P1 | p1 | ) | const`[inline, virtual]`

Calls the function connected to this slot passing it argument p1.

Returns:
  A value of type R returned by the called function.

Implements Inti::Slot1< R, P1 >.

The documentation for this class was generated from the following file:

- slot.h

Main Page - Footer